KFileIconViewItem Class Reference

`#include <kfileiconview.h>`

Inherits KIconViewItem.

## Public Member Functions

| KFileIconViewItem (QIconView *parent, const QString &text, const QPixmap &pixmap, KFileItem *fi)
| KFileIconViewItem (QIconView *parent, KFileItem *fi)
KFileItem * | fileInfo () const

## Detailed Description

An item for the iconview, that has a reference to its corresponding KFileItem.

Definition at line 38 of file kfileiconview.h.

## Constructor & Destructor Documentation

KFileIconViewItem::KFileIconViewItem | ( | QIconView * | parent,
|  | KFileItem * | fi
| ) |  |

inline

Since
  3.1

Definition at line 48 of file kfileiconview.h.

## Member Function Documentation

KFileItem* KFileIconViewItem::fileInfo | ( |  | ) | const

inline

Returns
  the corresponding KFileItem

Definition at line 56 of file kfileiconview.h.

The documentation for this class was generated from the following files:

- kfileiconview.h
- kfileiconview.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys